# Interface StateVariableAllocation

#### Hierarchy

- StateVariableAllocation

- Defined in codec/lib/storage/allocate/types.ts:39

#####
Index

### Properties

compilationId
definedIn
definition
pointer

## Properties

### compilationId

compilationId: string

- Defined in codec/lib/storage/allocate/types.ts:42

### definedIn

definedIn: AstNode

- Defined in codec/lib/storage/allocate/types.ts:41

### definition

definition: AstNode

- Defined in codec/lib/storage/allocate/types.ts:40

### pointer

pointer: StoragePointer | CodeFormPointer | ConstantDefinitionPointer

- Defined in codec/lib/storage/allocate/types.ts:43

Generated using TypeDoc